learning
One learner's per-question answers (office-hours drill-down).
One learner's per-question answers (office-hours drill-down).
OpenAPI specificationPOST
/api/v1/learning/student-questionsAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/learning/student-questions' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"userId": "<userId>",
"kind": "test",
"refId": "<refId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"userId": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"test",
"quiz"
]
},
"refId": {
"type": "string"
},
"attemptId": {
"type": "string"
}
},
"required": [
"userId",
"kind",
"refId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"test",
"quiz"
]
},
"title": {
"type": "string"
},
"isCompleted": {
"type": "boolean",
"enum": [
false,
true
]
},
"score": {
"type": "number"
},
"totalGradeable": {
"type": "number"
},
"scorePercent": {
"type": "number",
"nullable": true
},
"elapsedSeconds": {
"type": "number"
},
"questions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"order": {
"type": "number"
},
"type": {
"type": "string"
},
"question": {
"type": "string"
},
"explanation": {
"type": "string",
"nullable": true
},
"options": {
"type": "array",
"items": {
"type": "object",
"properties": {
"label": {
"type": "string"
},
"text": {
"type": "string"
},
"isCorrect": {
"type": "boolean",
"enum": [
false,
true
]
},
"isSelected": {
"type": "boolean",
"enum": [
false,
true
]
}
},
"required": [
"label",
"text",
"isCorrect",
"isSelected"
]
},
"nullable": true
},
"studentAnswerText": {
"type": "string",
"nullable": true
},
"correctAnswerText": {
"type": "string",
"nullable": true
},
"isCorrect": {
"type": "boolean",
"enum": [
false,
true
],
"nullable": true
},
"answered": {
"type": "boolean",
"enum": [
false,
true
]
}
},
"required": [
"id",
"order",
"type",
"question",
"explanation",
"options",
"studentAnswerText",
"correctAnswerText",
"isCorrect",
"answered"
]
}
},
"attempts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"attemptNumber": {
"type": "number"
},
"score": {
"type": "number",
"nullable": true
},
"totalGradeable": {
"type": "number"
},
"scorePercent": {
"type": "number",
"nullable": true
},
"elapsedSeconds": {
"type": "number"
},
"submittedAt": {
"type": "string"
}
},
"required": [
"id",
"attemptNumber",
"score",
"totalGradeable",
"scorePercent",
"elapsedSeconds",
"submittedAt"
]
}
},
"selectedAttemptId": {
"type": "string",
"nullable": true
}
},
"required": [
"kind",
"title",
"isCompleted",
"score",
"totalGradeable",
"scorePercent",
"elapsedSeconds",
"questions",
"attempts",
"selectedAttemptId"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}